Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.platform
Class NativeAuthenticationProvider

    java.lang.Object
      com.sshtools.daemon.platform.NativeAuthenticationProvider

public abstract class NativeAuthenticationProvider
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`NativeAuthenticationProvider()`

Method Summary
`abstract boolean` | `changePassword(java.lang.String username, java.lang.String oldpassword, java.lang.String newpassword)` DOCUMENT ME!
`abstract java.lang.String` | `getHomeDirectory(java.lang.String username)` DOCUMENT ME!
`static NativeAuthenticationProvider` | `getInstance()` DOCUMENT ME!
`abstract void` | `logoffUser()` DOCUMENT ME!
`abstract boolean` | `logonUser(java.lang.String username)` DOCUMENT ME!
`abstract boolean` | `logonUser(java.lang.String username, java.lang.String password)` DOCUMENT ME!
`static void` | `setProvider(java.lang.Class cls)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeAuthenticationProvider

    public NativeAuthenticationProvider()

Method Detail

### setProvider

    public static void setProvider(java.lang.Class cls)

  DOCUMENT ME!

  Parameters:
    `cls` - DOCUMENT ME!

### getHomeDirectory

    public abstract java.lang.String getHomeDirectory(java.lang.String username)
                                               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### logonUser

    public abstract boolean logonUser(java.lang.String username,
                                      java.lang.String password)
                               throws PasswordChangeException,
                                      java.io.IOException

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!
    `password` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `PasswordChangeException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### logonUser

    public abstract boolean logonUser(java.lang.String username)
                               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### logoffUser

    public abstract void logoffUser()
                             throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### changePassword

    public abstract boolean changePassword(java.lang.String username,
                                           java.lang.String oldpassword,
                                           java.lang.String newpassword)

  DOCUMENT ME!

  Parameters:
    `username` - DOCUMENT ME!
    `oldpassword` - DOCUMENT ME!
    `newpassword` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getInstance

    public static NativeAuthenticationProvider getInstance()
                                                    throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD